import 'package:collection/src/iterable_extensions.dart';
import 'package:imi/src/utils/enum.dart';

///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class AssociationClub {
/*
{
  "id": 0,
  "associationId": 0,
  "communityId": 0,
  "clubId": 0,
  "status": "WAITING",
  "createdDate": 0,
  "modifiedDate": 0,
  "avatarUrl": "string",
  "associationName": "string",
  "adminName": "string",
  "message": "string",
  "clubName": "string",
  "star": 0,
  "provinceClub": "string"
}
*/

  int? id;
  int? associationId;
  int? communityId;
  int? clubId;
  AssociationClubStatusType? status;
  int? createdDate;
  int? modifiedDate;
  String? avatarUrl;
  String? associationName;
  String? adminName;
  String? message;
  String? clubName;
  int? star;
  String? provinceClub;
  int? followerNo;
  int? memberNo;

  AssociationClub({
    this.id,
    this.associationId,
    this.communityId,
    this.clubId,
    this.status,
    this.createdDate,
    this.modifiedDate,
    this.avatarUrl,
    this.associationName,
    this.adminName,
    this.message,
    this.clubName,
    this.star,
    this.provinceClub,
    this.followerNo,
    this.memberNo,
  });
  AssociationClub.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    associationId = json['associationId']?.toInt();
    communityId = json['communityId']?.toInt();
    clubId = json['clubId']?.toInt();
    status = AssociationClubStatusType.values
        .firstWhereOrNull((element) => element.name == json['status']);
    createdDate = json['createdDate']?.toInt();
    modifiedDate = json['modifiedDate']?.toInt();
    avatarUrl = json['avatarUrl']?.toString();
    associationName = json['associationName']?.toString();
    adminName = json['adminName']?.toString();
    message = json['message']?.toString();
    clubName = json['clubName']?.toString();
    star = json['star']?.toInt();
    provinceClub = json['provinceClub']?.toString();
    followerNo = json['followerNo']?.toInt();
    memberNo = json['memberNo']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['associationId'] = associationId;
    data['communityId'] = communityId;
    data['clubId'] = clubId;
    data['status'] = status?.name;
    data['createdDate'] = createdDate;
    data['modifiedDate'] = modifiedDate;
    data['avatarUrl'] = avatarUrl;
    data['associationName'] = associationName;
    data['adminName'] = adminName;
    data['message'] = message;
    data['clubName'] = clubName;
    data['star'] = star;
    data['provinceClub'] = provinceClub;
    data['followerNo'] = followerNo;
    data['memberNo'] = memberNo;
    return data;
  }
}
